Bug 695412 - Gnome-terminal with large amounts of data doesn't scroll automatically to last line
Gnome-terminal with large amounts of data doesn't scroll automatically to las...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
15
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 12:35 EDT by Pablo Iranzo Gómez
Modified: 2012-08-07 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:07:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Iranzo Gómez 2011-04-11 12:35:11 EDT
Description of problem:

Sometimes when there's a lot of text output in terminal (for example when compiling a large program), the text stops flowing, and you need to manually (or by scroll wheel) go to the last line or press enter to get screen updating to the last line.

It seem like last line of terminal stops being the last one at the output and just 'sits there' until you press enter or scroll using scrollbar/mouse

Version-Release number of selected component (if applicable):

gnome-terminal-3.0.0-1.fc15.x86_64

How reproducible:

Steps to Reproduce:
1. produce a lot of text output on terminal session
2. after some time, it will stop moving the scroll, as if the app were locked
3. press enter or scroll using mouse/window scrollbar to get to the bottom line
  
Actual results:
Screen still as if it were hunged


Expected results:
gnome-terminal should show the last line of text output inside the window


Additional info:
Comment 1 Samuel Sieb 2011-11-25 03:39:19 EST
I see this often with F16.  It happens with screen sessions.  For some reason the display hasn't moved, but the scrollbar has gone up.  If I scroll down, the display is messed up, but if I press a key, the terminal immediately displays what it should.
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:44:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:47:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Samuel Sieb 2012-03-27 20:32:03 EDT
I have figured out how to reproduce my issue and I think it is different than this one.  I haven't actually seen the terminal stop scrolling when it is still the active tab.
Comment 5 Fedora End Of Life 2012-08-07 13:07:37 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.